%define version 4.1.1
%define release %mkrel 5

Name:		kphotoalbum
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://www.kphotoalbum.org
Group:		Graphical desktop/KDE
Source:		http://www.kphotoalbum.org/data/download/%{name}-%{version}.tar.bz2
Patch0:		kphotoalbum-4.1.1-r1118420.patch
Patch1:		kphotoalbum-4.1.1-r1120711.patch
Patch2:		kphotoalbum-4.1.1-r1118926.patch
Patch3:		kphotoalbum-4.1.1-r1119917.patch
Patch4:		kphotoalbum-4.1.1-r1120248.patch
Patch5:		kphotoalbum-4.1.1-r1118507.patch
Patch6:		kphotoalbum-4.1.1-exiv2.patch
Summary:        K Image Database
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdegraphics4-devel
Obsoletes:      kde4-%name <= 4.0.0
Provides:       kde4-%name = %version

%description
Image database for KDE4.

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/kphotoalbum
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_appsdir}/kphotoalbum
%{_kde_datadir}/config/kphotoalbumrc
%{_kde_iconsdir}/hicolor/*/*/*

#------------------------------------------------

%prep
%setup -q -n %name-%version
pushd doc
%patch0 -p5
popd
pushd doc-translations/de_kphotoalbum
%patch1 -p5
popd
pushd doc-translations/et_kphotoalbum
%patch2 -p5
popd
pushd doc-translations/it_kphotoalbum
%patch3 -p5
popd
pushd doc-translations/sv_kphotoalbum
%patch4 -p5
popd
pushd doc-translations/uk_kphotoalbum
%patch5 -p5
popd
%patch6 -p4

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

%find_lang %name --with-html

%clean
rm -rf %buildroot


%changelog
* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 4.1.1-5mdv2011.0
+ Revision: 673245
- fix build with latest exiv2

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 4.1.1-4mdv2011.0
+ Revision: 565633
- rebuild for new exiv2
- kde are using docbook 4.2 standard now

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.1-3mdv2010.1
+ Revision: 488774
- rebuilt against libjpeg v8

* Thu Dec 31 2009 Funda Wang <fwang@mandriva.org> 4.1.1-2mdv2010.1
+ Revision: 484347
- rebuild for new exiv2

* Thu Dec 10 2009 Funda Wang <fwang@mandriva.org> 4.1.1-1mdv2010.1
+ Revision: 476110
- new version 4.1.1

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1-2mdv2010.1
+ Revision: 465247
- Rebuild against new Qt

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 4.1-1mdv2010.1
+ Revision: 463382
- find html also
- new version 4.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to version 4.3.1

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 4.0.2-2mdv2010.0
+ Revision: 417586
- rebuild for new libjpeg v7

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.2-1mdv2010.0
+ Revision: 404716
- update to new version 4.0.2

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.1-1mdv2010.0
+ Revision: 379147
- update to new version 4.0.1

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.0
+ Revision: 374874
- 4.0 final

* Mon Jan 05 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.858397.3mdv2009.1
+ Revision: 324917
- rebuild for new exiv

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 4.0.0-0.858397.2mdv2009.1
+ Revision: 305984
- rebuild for new libkipi

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 4.0.0-0.858397.1mdv2009.0
+ Revision: 282441
- New snapshot
- fix building

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix spec file to fit with kde4 policy
    - Use kde4 apps by default
    - import kde4-kphotoalbum

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot



* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2-2
- Fix build on x86_64
- Fix with new xorg

* Wed Apr 19 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2-1
- Change name to kphotoalbum

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-1mdk
- New release 2.1

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix menu

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- 2.0

* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-8mdk
- Rebuild for missing package

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-6mdk
- fix buildrequires
- add minimal, but still better description

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-5mdk
- Rebuild 

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-4mdk
- fix buildrequires

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Patch from gbeauchesne@mandrakesoft.com fix build on amd64

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Fix destlint

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Rebuild

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Add menu entry

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package
